/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_NATURESU                                                 */
/* Tabela : NATURESU                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 18/02/2003 - Luiz Otvio de Souza                                          */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_NATURESU
BEFORE INSERT OR UPDATE OR DELETE
ON NATURESU FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUNRES:= SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDNATURESU,0) <> NVL(:NEW.CDNATURESU,0)) OR
         (NVL(:OLD.NMNATURESU,0) <> NVL(:NEW.NMNATURESU,0)) THEN
         :NEW.DTULTATUNRES:= SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('NATURESU', '', 'CDNATURESU='||:OLD.CDNATURESU||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE NATURESU MODIFY DTULTATUNRES DEFAULT SYSDATE
/
